//
//  IntentHandler.swift
//  MyRunWorkout
//
//  Created by Scott Lee on 2016. 10. 26..
//  Copyright © 2016년 Studio G.B.U. All rights reserved.
//

import Intents
import defaultManager

class IntentHandler: INExtension, INStartWorkoutIntentHandling {
    
    override func handler(for intent: INIntent) -> Any {
        return self
    }
    
    func handle(startWorkout intent: INStartWorkoutIntent, completion: @escaping (INStartWorkoutIntentResponse) -> Void) {
        let response = INStartWorkoutIntentResponse(code: .continueInApp, userActivity: nil)
        var userDefault: UserDefaults?
        var workouts: [[String:AnyObject]]?

        userDefault = UserDefaults.getDefault()
        userDefault?.getWorkout(workouts: &workouts)
        userDefault?.addWorkout(workouts: &workouts)

        completion(response)
    }
}
